> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Draft

> Get the agent's shared draft, or its published configuration when there is no draft.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/agents/{agent_id}/draft
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/agents/{agent_id}/draft:
    get:
      tags:
        - Agents
      summary: Get Agent Draft
      description: >-
        Get the agent's shared draft, or its published configuration when there
        is no draft.
      operationId: core_api_v1_controllers_agents_get_agent_draft
      parameters:
        - in: path
          name: agent_id
          schema:
            title: Agent Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentDraftOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    AgentDraftOut:
      properties:
        object:
          const: agent_draft
          default: agent_draft
          title: Object
          type: string
        agent_id:
          title: Agent Id
          type: string
        exists:
          title: Exists
          type: boolean
        has_changes:
          title: Has Changes
          type: boolean
        changes:
          default: []
          items:
            additionalProperties: true
            type: object
          title: Changes
          type: array
        version:
          title: Version
          type: integer
        configuration:
          additionalProperties: true
          title: Configuration
          type: object
        published_changed:
          title: Published Changed
          type: boolean
        missing_references:
          additionalProperties:
            items:
              type: string
            type: array
          title: Missing References
          type: object
        updated_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated By
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      required:
        - agent_id
        - exists
        - has_changes
        - version
        - configuration
        - published_changed
        - missing_references
      title: AgentDraftOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.